### Method

# GLib Source get_name

since: 2.26

#### Declaration [src]

    const char*
    g_source_get_name (
      GSource* source
    )

#### Description [src]

Gets a name for the source, used in debugging and profiling. The name may be `NULL` if it has never been set with `g_source_set_name()`.

Available since: 2.26

#### Return value

Type: `const char*`

The name of the source.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.